#!/usr/bin/perl

use strict;

use GnuplotWrapper;

my $EXPERIMENT = "placement_evaluation";
my @PLACEMENTS = (
	# NS2
# 	{
# 		id		=> "none_NS2",
# 		label		=> "No placement",
# 		label_offset	=> -5,
# 		style		=> "base_case_1",
# # 		label		=> "No placement (simulated)",
# # 		label_offset	=> -11,
# # 		style		=> "base_case_3",
# 	},
# 	{
# 		id		=> "spi_none_NS2",
# 		label		=> "SPi / none",
# 		label_offset	=> -5,
# 		style		=> "base_case_2",
# 	},
# 	{
# 		id		=> "linkpull_NS2",
# 		label		=> "LinkPull Migration",
# 		label_offset	=> -9,
# 		style		=> "major_alternative_2",
# 	},
# 	{
# 		id		=> "peerpull_NS2",
# 		label		=> "PeerPull Migration",
# 		label_offset	=> -9,
# 		style		=> "major_alternative_1",
# 	},
# 	{
# 		id		=> "topocenter_NS2",
# 		label		=> "TopoCenter(1) Migration",
# 		label_offset	=> -11,
# 		style		=> "minor_alternative_2",
# 	},
# 	{
# 		id		=> "tree-topology_NS2",
# 		label		=> "Tree-Topology Migration",
# 		label_offset	=> -11,
# 		style		=> "minor_alternative_1",
# 	},
# 	{
# 		id		=> "asg_simple_NS2",
# 		label		=> "ASG / simple",
# 		label_offset	=> -5,
# 		style		=> "major_alternative_2",
# 	},
# 	{
# 		id		=> "asg_event_flow_tree_NS2",
# 		label		=> "ASG / EFT",
# 		label_offset	=> -3,
# 		style		=> "major_alternative_1",
# 	},
# 	{
# 		id		=> "spi_gcsi_NS2",
# 		label		=> "SPi / GCSI",
# 		label_offset	=> -4,
# 		style		=> "contribution_2",
# 	},
# 	{
# 		id		=> "spi_gcmi_NS2",
# 		label		=> "SPi / GCMI",
# 		label_offset	=> -4,
# 		style		=> "contribution_1",
# # 		label		=> "SPi / GCMI (simulated)",
# # 		label_offset	=> -9,
# # 		style		=> "contribution_3",
# 	},

	# POOL
# 	{
# 		id		=> "none_POOL_100P_LINKS",
# 		label		=> "No placement",
# 		label_offset	=> -5,
# # 		label		=> "No placement (emulated)",
# # 		label_offset	=> -10,
# 		style		=> "base_case_1",
# 	},
# 	{
# 		id		=> "spi_gcsi_POOL_100P_LINKS",
# 		label		=> "SPi / GCSI",
# 		label_offset	=> -4,
# # 		label		=> "SPi / GCSI (emulated)",
# # 		label_offset	=> -10,
# 		style		=> "contribution_2",
# 	},
# 	{
# 		id		=> "spi_gcmi_POOL_100P_LINKS",
# 		label		=> "SPi / GCMI",
# 		label_offset	=> -4,
# # 		label		=> "SPi / GCMI (emulated)",
# # 		label_offset	=> -9,
# 		style		=> "contribution_1",
# 	},
# 	{
# 		id		=> "none_POOL_90P_LINKS",
# 		label		=> "No placement",
# 		label_offset	=> -5,
# 		style		=> "base_case_1",
# # 		label		=> "No placement (emulated)",
# # 		label_offset	=> -10,
# # 		style		=> "base_case_2",
# 	},
# 	{
# 		id		=> "spi_gcsi_POOL_90P_LINKS",
# 		label		=> "SPi / GCSI",
# 		label_offset	=> -4,
# # 		label		=> "SPi / GCSI (emulated)",
# # 		label_offset	=> -10,
# 		style		=> "contribution_2",
# 	},
# 	{
# 		id		=> "spi_gcmi_POOL_90P_LINKS",
# 		label		=> "SPi / GCMI",
# 		label_offset	=> -4,
# 		style		=> "contribution_1",
# # 		label		=> "SPi / GCMI (emulated)",
# # 		label_offset	=> -9,
# # 		style		=> "contribution_2",
# 	},
# 	{
# 		id		=> "none_POOL_80P_LINKS",
# 		label		=> "No placement",
# 		label_offset	=> -5,
# # 		label		=> "No placement (emulated)",
# # 		label_offset	=> -10,
# 		style		=> "base_case_1",
# 	},
# 	{
# 		id		=> "spi_gcsi_POOL_80P_LINKS",
# 		label		=> "SPi / GCSI",
# 		label_offset	=> -4,
# # 		label		=> "SPi / GCSI (emulated)",
# # 		label_offset	=> -10,
# 		style		=> "contribution_2",
# 	},
# 	{
# 		id		=> "spi_gcmi_POOL_80P_LINKS",
# 		label		=> "SPi / GCMI",
# 		label_offset	=> -4,
# # 		label		=> "SPi / GCMI (emulated)",
# # 		label_offset	=> -9,
# 		style		=> "contribution_1",
# 	},
# 	{
# 		id		=> "none_POOL_70P_LINKS",
# 		label		=> "No placement",
# 		label_offset	=> -5,
# # 		label		=> "No placement (emulated)",
# # 		label_offset	=> -10,
# 		style		=> "base_case_1",
# 	},
# 	{
# 		id		=> "spi_gcsi_POOL_70P_LINKS",
# 		label		=> "SPi / GCSI",
# 		label_offset	=> -4,
# # 		label		=> "SPi / GCSI (emulated)",
# # 		label_offset	=> -10,
# 		style		=> "contribution_2",
# 	},
# 	{
# 		id		=> "spi_gcmi_POOL_70P_LINKS",
# 		label		=> "SPi / GCMI",
# 		label_offset	=> -4,
# # 		label		=> "SPi / GCMI (emulated)",
# # 		label_offset	=> -9,
# 		style		=> "contribution_1",
# 	},

	# TESTBED
	{
		id		=> "none_TESTBED",
		label		=> "No placement",
		label_offset	=> -5,
# 		label		=> "No placement (real)",
# 		label_offset	=> -9,
		style		=> "base_case_1",
	},
	{
		id		=> "tree-topology_TESTBED",
		label		=> "Tree-Topology Migration",
		label_offset	=> -11,
		style		=> "minor_alternative_1",
	},
	{
		id		=> "asg_event_flow_tree_TESTBED",
		label		=> "ASG / EFT",
		label_offset	=> -3,
		style		=> "major_alternative_1",
	},
	{
		id		=> "spi_gcsi_TESTBED",
		label		=> "SPi / GCSI",
		label_offset	=> -4,
# 		label		=> "SPi / GCSI (real)",
# 		label_offset	=> -8,
		style		=> "contribution_2",
	},
	{
		id		=> "spi_gcmi_TESTBED",
		label		=> "SPi / GCMI",
		label_offset	=> -4,
# 		label		=> "SPi / GCMI (real)",
# 		label_offset	=> -8,
		style		=> "contribution_1",
	},
);
my %CONTEXT = (placement => '', sync_ratio => '', nodes => '', request_frequency => '');

# my @SERVICE_SIZES = (100000);		# Used for SIM and POOL.
my @SERVICE_SIZES = (10000);		# Used for TESTBED
# my @SYNC_RATIO = ("0.010", "0.050");
my @SYNC_RATIO = ("0.010");
my @ACTIVE_NODE_RATIOS = ("0.5");



my @EVALUATIONS = (
# 	{
# 		id		=> "traffic_VS_nodes",
# 		variable	=> $VARIABLES{nodes},
# 		value		=> $VALUES{transmittedBytes},
# 		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
# 		key_position	=> "top left",
# 	},
	{
		id		=> "datarate_VS_nodes",
		variable	=> $VARIABLES{nodes},
		value		=> $VALUES{transmittedDatarate},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "bottom right",
	},
# 	{
# 		id		=> "slp_recall_VS_nodes",
# 		variable	=> $VARIABLES{nodes},
# 		value		=> $VALUES{SLP_recall},
# 		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
# 		key_position	=> "bottom left",
# 	},
	{
		id		=> "service_request_delay_VS_nodes",
		variable	=> $VARIABLES{nodes},
		value		=> $VALUES{SERVICE_averageSuccessfulDataRequestDelay},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "bottom right",
	},
	{
		id		=> "service_recall_VS_nodes",
		variable	=> $VARIABLES{nodes},
		value		=> $VALUES{SERVICE_requestRecall},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "bottom left",
	},
	{
		id		=> "service_datarate_VS_nodes",
		variable	=> $VARIABLES{nodes},
		value		=> $VALUES{SERVICE_transmittedDatarate},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "top left",
	},
	{
		id		=> "average_service_request_hop_count_VS_nodes",
		variable	=> $VARIABLES{nodes},
		value		=> $VALUES{SERVICE_averageRequestHopCount},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "top right",
	},
	{
		id		=> "service_instances_VS_nodes",
		variable	=> $VARIABLES{nodes},
		value		=> $VALUES{SERVICE_hostedServices},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "top left",
	},
	{
		id		=> "service_replications_VS_nodes",
		variable	=> $VARIABLES{nodes},
		value		=> $VALUES{SERVICE_totalReplications},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "top right",
# 		y_axis_range	=> "[0:42]",		# Used for SIM/centralized.
	},
);
my @NODES = (16, 25, 36, 49, 64, 81, 100);
# my @NODES = (36);
# my @NODES = (100);
# my @REQUEST_FREQUENCIES = ("0.1", "0.5", "1.0", "2.0", "5.0");
my @REQUEST_FREQUENCIES = ("5.0");

if(scalar(@ARGV) == 0) {
# 	generate_summary_plots($EXPERIMENT, \@EVALUATIONS, \@PLACEMENTS, \@SERVICE_SIZES, \@SYNC_RATIO, \@NODES, \@ACTIVE_NODE_RATIOS, \@REQUEST_FREQUENCIES, \%CONTEXT);
}



my @EVALUATIONS = (
# 	{
# 		id		=> "traffic_VS_request_frequency",
# 		variable	=> $VARIABLES{request_frequency},
# 		value		=> $VALUES{transmittedBytes},
# 		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
# 		key_position	=> "top left",
# 	},
	{
		id		=> "datarate_VS_request_frequency",
		variable	=> $VARIABLES{request_frequency},
		value		=> $VALUES{transmittedDatarate},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
# 		key_position	=> "bottom right",
		key_position	=> "top left",		# Used for POOL, TESTBED and COMPARISON.
# 		y_axis_range	=> "[0:310]",		# Used for POOL.
		y_axis_range	=> "[0:72.5]",		# Used for TESTBED.
# 		y_axis_range	=> "[0:475]",		# Used for COMPARISON.
	},
# 	{
# 		id		=> "route_requests_VS_request_frequency",
# 		variable	=> $VARIABLES{request_frequency},
# 		value		=> $VALUES{DYMO_transmittedRREQs},
# 		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
# 		key_position	=> "bottom left",
# 	},
# 	{
# 		id		=> "route_replies_VS_request_frequency",
# 		variable	=> $VARIABLES{request_frequency},
# 		value		=> $VALUES{DYMO_transmittedRREPs},
# 		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
# 		key_position	=> "bottom left",
# 	},
# 	{
# 		id		=> "route_errors_VS_request_frequency",
# 		variable	=> $VARIABLES{request_frequency},
# 		value		=> $VALUES{DYMO_transmittedRERRs},
# 		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
# 		key_position	=> "bottom left",
# 	},
# 	{
# 		id		=> "dymo_unicast_pdr_VS_request_frequency",
# 		variable	=> $VARIABLES{request_frequency},
# 		value		=> $VALUES{DYMO_unicastPdr},
# 		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
# 		key_position	=> "bottom left",
# 	},
# 	{
# 		id		=> "rudp_transmissions_VS_request_frequency",
# 		variable	=> $VARIABLES{request_frequency},
# 		value		=> $VALUES{RUDP_totalTransmissions},
# 		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
# 		key_position	=> "bottom left",
# 	},
# 	{
# 		id		=> "rudp_pdr_VS_request_frequency",
# 		variable	=> $VARIABLES{request_frequency},
# 		value		=> $VALUES{RUDP_pdr},
# 		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
# 		key_position	=> "bottom left",
# 	},
# 	{
# 		id		=> "slp_queries_VS_request_frequency",
# 		variable	=> $VARIABLES{request_frequency},
# 		value		=> $VALUES{SLP_totalQueries},
# 		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
# 		key_position	=> "bottom left",
# 	},
# 	{
# 		id		=> "slp_recall_VS_request_frequency",
# 		variable	=> $VARIABLES{request_frequency},
# 		value		=> $VALUES{SLP_recall},
# 		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
# 		key_position	=> "bottom left",
# 	},
	{
		id		=> "service_request_delay_VS_request_frequency",
		variable	=> $VARIABLES{request_frequency},
		value		=> $VALUES{SERVICE_averageSuccessfulDataRequestDelay},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
# 		key_position	=> "bottom right",	# Used for SIM.
# 		key_position	=> "top right",		# Used for POOL.
		key_position	=> "bottom left",	# Used for TESTBED.
# 		key_position	=> "top left",		# Used for COMPARISON.
# 		y_axis_range	=> "[0.0001:0.03]",	# Used for POOL.
		y_axis_range	=> "[0.001:1.3]",	# Used for TESTBED.
# 		y_axis_range	=> "[0.0001:5]",	# Used for COMPARISON.
	},
	{
		id		=> "service_recall_VS_request_frequency",
		variable	=> $VARIABLES{request_frequency},
		value		=> $VALUES{SERVICE_requestRecall},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "bottom left",
# 		key_position	=> "top left",		# Used for POOL (PLR >= 20%).
	},
	{
		id		=> "service_datarate_VS_request_frequency",
		variable	=> $VARIABLES{request_frequency},
		value		=> $VALUES{SERVICE_transmittedDatarate},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "top left",
# 		y_axis_range	=> "[0:135]",		# Used for POOL.
		y_axis_range	=> "[0:23]",		# Used for TESTBED.
# 		y_axis_range	=> "[0:135]",		# Used for COMPARISON.
	},
	{
		id		=> "average_service_request_hop_count_VS_request_frequency",
		variable	=> $VARIABLES{request_frequency},
		value		=> $VALUES{SERVICE_averageRequestHopCount},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
# 		key_position	=> "top right",
		key_position	=> "top left",		# Used for POOL and TESTBED.
# 		y_axis_range	=> "[0:4.1]",		# Used for POOL.
		y_axis_range	=> "[0:5.5]",		# Used for TESTBED.
# 		y_axis_range	=> "[0:6.75]",		# Used for COMPARISON.
	},
	{
		id		=> "service_instances_VS_request_frequency",
		variable	=> $VARIABLES{request_frequency},
		value		=> $VALUES{SERVICE_hostedServices},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "top left",
		y_axis_range	=> "[0:19]",		# Used for POOL and TESTBED.
# 		y_axis_range	=> "[0:24]",		# Used for COMPARISON.
	},
# 	{
# 		id		=> "sync_traffic_VS_request_frequency",
# 		variable	=> $VARIABLES{request_frequency},
# 		value		=> $VALUES{SERVICE_syncOverhead_absolute},
# 		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
# 		key_position	=> "top left",
# 	},
# 	{
# 		id		=> "sync_overhead_VS_request_frequency",
# 		variable	=> $VARIABLES{request_frequency},
# 		value		=> $VALUES{SERVICE_syncOverhead_relative},
# 		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
# 		key_position	=> "top left",
# 	},
	{
		id		=> "service_replications_VS_request_frequency",
		variable	=> $VARIABLES{request_frequency},
		value		=> $VALUES{SERVICE_totalReplications},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
# 		key_position	=> "top right",		# Used for SIM.
		key_position	=> "top left",		# Used for POOL, TESTBED, and COMPARISON.
# 		y_axis_range	=> "[0:42.5]",		# Used for SIM/centralized.
# 		y_axis_range	=> "[0:36]",		# Used for POOL.
		y_axis_range	=> "[0:42.5]",		# Used for TESTBED.
# 		y_axis_range	=> "[0:47.5]",		# Used for COMPARISON.
	},
);
# my @NODES = (16, 25, 36, 49, 64, 81, 100);
my @NODES = (36);
# my @NODES = (100);
my @REQUEST_FREQUENCIES = ("0.1", "0.5", "1.0", "2.0", "5.0");
# my @REQUEST_FREQUENCIES = ("5.0");
# my @REQUEST_FREQUENCIES = ("1.0");

if(scalar(@ARGV) == 0) {
	generate_summary_plots($EXPERIMENT, \@EVALUATIONS, \@PLACEMENTS, \@SERVICE_SIZES, \@SYNC_RATIO, \@NODES, \@ACTIVE_NODE_RATIOS, \@REQUEST_FREQUENCIES, \%CONTEXT);
}



my @EVALUATIONS = (
# 	{
# 		id		=> "packets_VS_hop_count",
# 		variable	=> $VARIABLES{hop_count},
# 		value		=> $VALUES{unicastPacketsPerHopCount},
# 		plot_type	=> $PLOT_TYPE_HOP_COUNT_HISTOGRAM,
# 		key_position	=> "",
# 	},
	{
		id		=> "service_requests_VS_hop_count",
		variable	=> $VARIABLES{hop_count},
		value		=> $VALUES{SERVICE_requestPacketsPerHopCount},
		plot_type	=> $PLOT_TYPE_HOP_COUNT_HISTOGRAM,
		key_position	=> "",
	},
);
# my @NODES = (16, 25, 36, 49, 64, 81, 100);
# my @NODES = (36);
my @NODES = (100);
# my @REQUEST_FREQUENCIES = ("0.1", "0.5", "1.0", "2.0", "5.0");
# my @REQUEST_FREQUENCIES = ("1.0");
my @REQUEST_FREQUENCIES = ("2.0");

if(scalar(@ARGV) == 0) {
# 	generate_summary_plots($EXPERIMENT, \@EVALUATIONS, \@PLACEMENTS, \@SERVICE_SIZES, \@SYNC_RATIO, \@NODES, \@ACTIVE_NODE_RATIOS, \@REQUEST_FREQUENCIES, \%CONTEXT);
}



my @EVALUATIONS = (
	{
		id		=> "average_service_request_hop_count_VS_service_instances",
		variable	=> $VALUES{SERVICE_hostedServices},
		value		=> $VALUES{SERVICE_averageRequestHopCount},
		plot_type	=> $PLOT_TYPE_POINTS_PER_PLACEMENT,
		key_position	=> "top right",
		x_axis_range	=> "[0:22]",
# 		y_axis_range	=> "[0:3.2]",
		y_axis_range	=> "[0:5.5]",
	},
);
my @NODES = (16, 25, 36, 49, 64, 81, 100);
my @REQUEST_FREQUENCIES = ("0.1", "0.5", "1.0", "2.0", "5.0");

if(scalar(@ARGV) == 0) {
# 	generate_summary_plots($EXPERIMENT, \@EVALUATIONS, \@PLACEMENTS, \@SERVICE_SIZES, \@SYNC_RATIO, \@NODES, \@ACTIVE_NODE_RATIOS, \@REQUEST_FREQUENCIES, \%CONTEXT);
}



my @EVALUATIONS = (
	{
		id		=> "datarate_VS_time",
		variable	=> $VARIABLES{current_time},
		value		=> $VALUES{transmittedDatarate},
		plot_type	=> $PLOT_TYPE_TIME_SERIES,
		key_position	=> "",
		y_axis_range	=> "[0:84]",
	},
# 	{
# 		id		=> "service_request_delay_VS_time",
# 		variable	=> $VARIABLES{current_time},
# 		value		=> $VALUES{SERVICE_averageSuccessfulDataRequestDelay},
# 		plot_type	=> $PLOT_TYPE_TIME_SERIES,
# 		key_position	=> "",
# 	},
	{
		id		=> "service_recall_VS_time",
		variable	=> $VARIABLES{current_time},
		value		=> $VALUES{SERVICE_requestRecall},
		plot_type	=> $PLOT_TYPE_TIME_SERIES,
		key_position	=> "bottom right",
	},
	{
		id		=> "service_datarate_VS_time",
		variable	=> $VARIABLES{current_time},
		value		=> $VALUES{SERVICE_transmittedDatarate},
		plot_type	=> $PLOT_TYPE_TIME_SERIES,
		key_position	=> "",
		y_axis_range	=> "[0:84]",
	},
	{
		id		=> "service_instances_VS_time",
		variable	=> $VARIABLES{current_time},
		value		=> $VALUES{SERVICE_hostedServices},
		plot_type	=> $PLOT_TYPE_TIME_SERIES,
		key_position	=> "bottom right",
		y_axis_range	=> "[0:32]",
	},
	{
		id		=> "service_replications_VS_time",
		variable	=> $VARIABLES{current_time},
		value		=> $VALUES{SERVICE_totalReplications},
		plot_type	=> $PLOT_TYPE_TIME_SERIES,
		key_position	=> "bottom right",
		y_axis_range	=> "[0:32]",
	},
	{
		id		=> "service_migrations_VS_time",
		variable	=> $VARIABLES{current_time},
		value		=> $VALUES{SERVICE_totalMigrations},
		plot_type	=> $PLOT_TYPE_TIME_SERIES,
		key_position	=> "",
		y_axis_range	=> "[0:32]",
	},
	{
		id		=> "service_cost_VS_time",
		variable	=> $VARIABLES{current_time},
		value		=> $VALUES{PLACEMENT_currentServiceCost},
		plot_type	=> $PLOT_TYPE_TIME_SERIES,
		key_position	=> "",
		y_axis_range	=> "[0:84]",
	},
	{
		id		=> "optimal_service_cost_VS_time",
		variable	=> $VARIABLES{current_time},
		value		=> $VALUES{PLACEMENT_currentlyOptimalServiceCost},
		plot_type	=> $PLOT_TYPE_TIME_SERIES,
		key_position	=> "",
		y_axis_range	=> "[0:84]",
	},
	{
		id		=> "optimal_service_instances_VS_time",
		variable	=> $VARIABLES{current_time},
		value		=> $VALUES{PLACEMENT_currentlyOptimalNumberOfHosts},
		plot_type	=> $PLOT_TYPE_TIME_SERIES,
		key_position	=> "",
		y_axis_range	=> "[0:32]",
	},
	{
		id		=> "placement_adaptation_cost_VS_time",
		variable	=> $VARIABLES{current_time},
		value		=> $VALUES{PLACEMENT_currentlyEstimatedAdaptationCost},
		plot_type	=> $PLOT_TYPE_TIME_SERIES,
		key_position	=> "",
		y_axis_range	=> "[0:84]",
	},
	{
		id		=> "placement_adaptations_VS_time",
		variable	=> $VARIABLES{current_time},
		value		=> $VALUES{PLACEMENT_totalAdaptations},
		plot_type	=> $PLOT_TYPE_TIME_SERIES,
		key_position	=> "",
		y_axis_range	=> "[0:32]",
	},
);

if(scalar(@ARGV) > 0) {
	generate_time_plots($EXPERIMENT, \@EVALUATIONS, $ARGV[0]);
}
