#!/usr/bin/perl

use strict;

use GnuplotWrapper;



my $EXPERIMENT = "routing_evaluation";
my @PLACEMENTS = (
	{
		id		=> "aodv-ns2_grid-center",
		label		=> "AODV / ns-2",
		label_offset	=> -5,
		style		=> "minor_alternative_2",
	},
	{
		id		=> "aodv-uu_grid-center",
		label		=> "AODV-UU",
		label_offset	=> -2,
		style		=> "minor_alternative_1",
	},
	{
		id		=> "dymo-um_grid-center",
		label		=> "DYMO-UM",
		label_offset	=> -2,
		style		=> "major_alternative_1",
	},
	{
		id		=> "dymo-sp_grid-center",
		label		=> "DYMO / SPi",
		label_offset	=> -4,
		style		=> "contribution_1",
	},

# 	{
# 		id		=> "aodv-ns2_grid-random",
# 		label		=> "AODV / ns-2",
# 		label_offset	=> -5,
# 		style		=> "minor_alternative_2",
# 	},
# 	{
# 		id		=> "aodv-uu_grid-random",
# 		label		=> "AODV-UU",
# 		label_offset	=> -2,
# 		style		=> "minor_alternative_1",
# 	},
# 	{
# 		id		=> "dymo-um_grid-random",
# 		label		=> "DYMO-UM",
# 		label_offset	=> -2,
# 		style		=> "major_alternative_1",
# 	},
# 	{
# 		id		=> "dymo-sp_grid-random",
# 		label		=> "DYMO / SPi",
# 		label_offset	=> -4,
# 		style		=> "contribution_1",
# 	},

# 	{
# 		id		=> "mobility-single_aodv-ns2",
# 		label		=> "AODV / ns-2",
# 		label_offset	=> -5,
# 		style		=> "minor_alternative_2",
# 	},
# 	{
# 		id		=> "mobility-single_aodv-uu",
# 		label		=> "AODV-UU",
# 		label_offset	=> -2,
# 		style		=> "minor_alternative_1",
# 	},
# 	{
# 		id		=> "mobility-single_dymo-um",
# 		label		=> "DYMO-UM",
# 		label_offset	=> -2,
# 		style		=> "major_alternative_1",
# 	},
# 	{
# 		id		=> "mobility-single_dymo-spi",
# 		label		=> "DYMO / SPi",
# 		label_offset	=> -4,
# 		style		=> "contribution_1",
# 	},

# 	{
# 		id		=> "mobility-multi_aodv-ns2",
# 		label		=> "AODV / ns-2",
# 		label_offset	=> -5,
# 		style		=> "minor_alternative_2",
# 	},
# 	{
# 		id		=> "mobility-multi_aodv-uu",
# 		label		=> "AODV-UU",
# 		label_offset	=> -2,
# 		style		=> "minor_alternative_1",
# 	},
# 	{
# 		id		=> "mobility-multi_dymo-um",
# 		label		=> "DYMO-UM",
# 		label_offset	=> -2,
# 		style		=> "major_alternative_1",
# 	},
# 	{
# 		id		=> "mobility-multi_dymo-spi",
# 		label		=> "DYMO / SPi",
# 		label_offset	=> -4,
# 		style		=> "contribution_1",
# 	},
);
my %CONTEXT = (placement => '', service_size => '');

my @NODES = (0);
my @ACTIVE_NODE_RATIOS = (0);
my @REQUEST_FREQUENCIES = (0);



my @EVALUATIONS = (
	{
		id		=> "pdr_VS_nodes",
		variable	=> $VARIABLES{nodes},
		value		=> $VALUES{ICMP_nopPdr},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "bottom left",
	},
);

my @SERVICE_SIZES = (16, 25, 36, 49, 64, 81, 100);	# FIXME: Used for NODES.
# my @SYNC_RATIO = ("0.1", "0.5", "1.0", "2.0", "5.0");	# FIXME: Used for PACKET_FREQUENCIES.
my @SYNC_RATIO = ("5.0");				# FIXME: Used for PACKET_FREQUENCIES.
if(scalar(@ARGV) == 0) {
# 	generate_summary_plots($EXPERIMENT, \@EVALUATIONS, \@PLACEMENTS, \@SERVICE_SIZES, \@SYNC_RATIO, \@NODES, \@ACTIVE_NODE_RATIOS, \@REQUEST_FREQUENCIES, \%CONTEXT);
}



my @EVALUATIONS = (
	{
		id		=> "traffic_packets_VS_packet_frequency",
		variable	=> $VARIABLES{packet_frequency},
		value		=> $VALUES{MAC_transmittedPackets},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "bottom right",
	},
	{
		id		=> "traffic_bytes_VS_packet_frequency",
		variable	=> $VARIABLES{packet_frequency},
		value		=> $VALUES{MAC_transmittedBytes},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "bottom right",
	},
	{
		id		=> "pdr_VS_packet_frequency",
		variable	=> $VARIABLES{packet_frequency},
		value		=> $VALUES{ICMP_nopPdr},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "bottom left",
	},
);

# my @SERVICE_SIZES = (16, 25, 36, 49, 64, 81, 100);	# FIXME: Used for NODES.
my @SERVICE_SIZES = (100);				# FIXME: Used for NODES.
my @SYNC_RATIO = ("0.1", "0.5", "1.0", "2.0", "5.0");	# FIXME: Used for PACKET_FREQUENCIES.
if(scalar(@ARGV) == 0) {
	generate_summary_plots($EXPERIMENT, \@EVALUATIONS, \@PLACEMENTS, \@SERVICE_SIZES, \@SYNC_RATIO, \@NODES, \@ACTIVE_NODE_RATIOS, \@REQUEST_FREQUENCIES, \%CONTEXT);
}
