#!/usr/bin/perl


my $eps_file = "service_instances_and_cost_optimum_instances.eps";
my $pdf_file = "service_instances_and_cost_optimum_instances.pdf";

print "Generating $pdf_file...\n";
open(GNUPLOT, "| gnuplot") or die "can't open gnuplot: $!";

print GNUPLOT <<EOF or die "can't print to gnuplot: $!";
#
# Output control
#

#set terminal postscript eps enhanced color 24
set terminal postscript eps enhanced monochrome 24 blacktext
set output "$eps_file"



#
# Input control
#

set datafile separator ","



#
# Scale / aspect ratio
#

set size ratio 0.5 1.0,1.6180339887	# Golden ratio



#
# Axis: labels, ranges, scales
#

set xlabel "Synchronization Traffic (in %)"
set xrange [-1:21]
set ylabel "Optimal # of Service Instances" 2
set yrange [0.2:150]
set logscale y

#
# Legend
#

set key off
#set key top right
#set key top left
#set key bottom left
#set key bottom right
#set key outside
#set key spacing 0.8
#set key width -9
#set key height 1
#set key box



#
# Line and point styles
#

set style line 1 lt 1 lc rgbcolor "blue" lw 2 pt 2
set style line 2 lt 1 lc rgbcolor "blue" lw 4 pt 2
set style line 3 lt 2 lc rgbcolor "blue" lw 2 pt 2
#set style line 1 lt 1 lc rgbcolor "magenta" lw 2 pt 2
#set style line 2 lt 1 lc rgbcolor "magenta" lw 4 pt 2
#set style line 3 lt 2 lc rgbcolor "magenta" lw 2 pt 2



#
# Plot
#

#sync_traffic_ratio(1),optimal_service_instances_MEAN(2),optimal_service_instances_MEDIAN(3),optimal_service_instances_MIN(4),optimal_service_instances_MAX(5),optimal_service_instances_VAR(6),optimal_service_instances_STDDEV(7),optimal_cost_MEAN(8),optimal_cost_MEDIAN(9),optimal_cost_MIN(10),optimal_cost_MAX(11),optimal_cost_VAR(12),optimal_cost_STDDEV(13)

#set style data errorlines
#plot "service_instances_and_cost_optimum_STATS.csv" \\
#using 1:2:4:5 title "{/Helvetica=16 Optimal # of Service Instances}" lw 2

#set boxwidth 0.005
#plot "service_instances_and_cost_optimum_STATS.csv" \\
#using 1:2 with lines lt 1 lw 2 title "{/Helvetica=16 Optimal # of Service Instances}", \\
#'' using 1:(\$2-\$7):4:5:(\$2+\$7) with candlesticks whiskerbars lt 1 lw 2 notitle
#'' using 1:3:3:3:3 with candlesticks lt 1 lw 4 notitle

plot "service_instances_and_cost_optimum_STATS.csv" \\
using (\$1*100):2:4:5:(0.8) with boxerrorbars fs solid 0.1 ls 1 title "{/Helvetica=16 Optimal # of Service Instances}"

EOF

while(<GNUPLOT>) {print;}
close GNUPLOT;
print `ps2pdf $eps_file`;
print `pdfcrop $pdf_file $pdf_file > /dev/null`;
unlink $eps_file;
