#!/usr/bin/perl

use strict;

use GnuplotWrapper;

my $EXPERIMENT = "spi_sync_ratio_evaluation";
my @PLACEMENTS = (
	{
		id		=> "none_NS2",
		label		=> "No placement",
		label_offset	=> -5,
		style		=> "base_case_1",
	},
# 	{
# 		id		=> "asg_simple_NS2",
# 		label		=> "ASG / simple",
# 		label_offset	=> -5,
# 		style		=> "major_alternative_2",
# 	},
	{
		id		=> "asg_event_flow_tree_NS2",
		label		=> "ASG / EFT",
		label_offset	=> -3,
		style		=> "major_alternative_1",
	},
# 	{
# 		id		=> "spi_gcsi_NS2",
# 		label		=> "SPi / GCSI",
# 		label_offset	=> -4,
# 		style		=> "contribution_2",
# 	},
	{
		id		=> "spi_gcmi_NS2",
		label		=> "SPi / GCMI",
		label_offset	=> -4,
		style		=> "contribution_1",
	},
);
my %CONTEXT = (placement => '', nodes => '', request_frequency => '');



my @EVALUATIONS = (
# 	{
# 		id		=> "traffic_VS_sync_ratio",
# 		variable	=> $VARIABLES{sync_ratio},
# 		value		=> $VALUES{transmittedBytes},
# 		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
# 		key_position	=> "top left",
# 	},
	{
		id		=> "datarate_VS_sync_ratio",
		variable	=> $VARIABLES{sync_ratio},
		value		=> $VALUES{transmittedDatarate},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "bottom right",
		y_axis_range	=> "[0:620]",
	},
	{
		id		=> "service_request_delay_VS_sync_ratio",
		variable	=> $VARIABLES{sync_ratio},
		value		=> $VALUES{SERVICE_averageSuccessfulDataRequestDelay},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "bottom right",
	},
	{
		id		=> "service_recall_VS_sync_ratio",
		variable	=> $VARIABLES{sync_ratio},
		value		=> $VALUES{SERVICE_requestRecall},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "bottom right",
	},
	{
		id		=> "service_datarate_VS_sync_ratio",
		variable	=> $VARIABLES{sync_ratio},
		value		=> $VALUES{SERVICE_transmittedDatarate},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "top right",
		y_axis_range	=> "[0:320]",
	},
	{
		id		=> "average_service_request_hop_count_VS_sync_ratio",
		variable	=> $VARIABLES{sync_ratio},
		value		=> $VALUES{SERVICE_averageRequestHopCount},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "bottom right",
		y_axis_range	=> "[0:6.5]",
	},
	{
		id		=> "service_instances_VS_sync_ratio",
		variable	=> $VARIABLES{sync_ratio},
		value		=> $VALUES{SERVICE_hostedServices},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "top right",
		y_axis_range	=> "[0:55]",
	},
	{
		id		=> "service_replications_VS_sync_ratio",
		variable	=> $VARIABLES{sync_ratio},
		value		=> $VALUES{SERVICE_totalReplications},
		plot_type	=> $PLOT_TYPE_DATA_SERIES_PER_PLACEMENT,
		key_position	=> "top right",
		y_axis_range	=> "[0:105]",
	},
);
my @SERVICE_SIZE = (100000);
# my @SYNC_RATIO = ("0.000", "0.010", "0.020", "0.030", "0.040", "0.050", "0.075", "0.100", "0.150", "0.200");
my @SYNC_RATIO = ("0.000", "0.010", "0.020", "0.030", "0.040", "0.050", "0.075", "0.100");
my @NODES = (100);
my @ACTIVITY_FACTOR = ("0.5");
my @REQUEST_FREQUENCY = ("2.0", "5.0");

generate_summary_plots($EXPERIMENT, \@EVALUATIONS, \@PLACEMENTS, \@SERVICE_SIZE, \@SYNC_RATIO, \@NODES, \@ACTIVITY_FACTOR, \@REQUEST_FREQUENCY, \%CONTEXT);



my @EVALUATIONS = (
# 	{
# 		id		=> "packets_VS_hop_count",
# 		variable	=> $VARIABLES{hop_count},
# 		value		=> $VALUES{unicastPacketsPerHopCount},
# 		plot_type	=> $PLOT_TYPE_HOP_COUNT_HISTOGRAM,
# 		key_position	=> "",
# 		y_axis_range	=> "[0:260]",
# 	},
	{
		id		=> "service_requests_VS_hop_count",
		variable	=> $VARIABLES{hop_count},
		value		=> $VALUES{SERVICE_requestPacketsPerHopCount},
		plot_type	=> $PLOT_TYPE_HOP_COUNT_HISTOGRAM,
		key_position	=> "",
		y_axis_range	=> "[0:260]",
	},
);
my @SERVICE_SIZE = (100000);
my @SYNC_RATIO = ("0.000", "0.010", "0.020", "0.030", "0.040", "0.050", "0.075", "0.100", "0.150", "0.200");
my @NODES = (100);
my @ACTIVITY_FACTOR = ("0.5");
# my @REQUEST_FREQUENCY = ("2.0", "5.0");
my @REQUEST_FREQUENCY = ("2.0");

# generate_summary_plots($EXPERIMENT, \@EVALUATIONS, \@PLACEMENTS, \@SERVICE_SIZE, \@SYNC_RATIO, \@NODES, \@ACTIVITY_FACTOR, \@REQUEST_FREQUENCY, \%CONTEXT);



my @EVALUATIONS = (
	{
		id		=> "average_service_request_hop_count_VS_service_instances",
		variable	=> $VALUES{SERVICE_hostedServices},
		value		=> $VALUES{SERVICE_averageRequestHopCount},
		plot_type	=> $PLOT_TYPE_POINTS_PER_PLACEMENT,
		key_position	=> "top right",
		x_axis_range	=> "[0:45]",
		y_axis_range	=> "[0:4.25]",
	},
);
my @SERVICE_SIZES = (100000);	# Used for SIM and POOL.
# my @SERVICE_SIZES = (10000);	# Used for TESTBED
my @SYNC_RATIO = ("0.050");
my @NODES = (16, 25, 36, 49, 64, 81, 100);
my @ACTIVE_NODE_RATIOS = ("0.5");
my @REQUEST_FREQUENCIES = ("0.1", "0.5", "1.0", "2.0", "5.0");

generate_summary_plots($EXPERIMENT, \@EVALUATIONS, \@PLACEMENTS, \@SERVICE_SIZES, \@SYNC_RATIO, \@NODES, \@ACTIVE_NODE_RATIOS, \@REQUEST_FREQUENCIES, \%CONTEXT);
