/**
 * @file interference_local.h
 *
 * @brief Interference graphs - functions local to each node (header).
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: interference_local.h 3177 2010-01-05 16:43:45Z wittenbu $
 */

#ifndef INTERFERENCE_LOCAL_H
#define INTERFERENCE_LOCAL_H

#include "../types.h"
#include "interference_types.h"



void free_local_data_list(void* p);
void handle_INTERFERENCE_REQUEST(const net_header_t* header, const void* payload);
void handle_INTERFERENCE_TEST_REQUEST(const net_header_t* header, const INTERFERENCE_TEST_REQUEST_packet_t* test_request);
void handle_INTERFERENCE_TEST_DATA(const net_header_t* header, const INTERFERENCE_TEST_DATA_packet_t* test_data);

#endif	// INTERFERENCE_LOCAL_H
