/**
 * @file interference_vars.h
 *
 * @brief Interference graphs (variables).
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: interference_vars.h 3177 2010-01-05 16:43:45Z wittenbu $
 */

#ifndef INTERFERENCE_VARS_H
#define INTERFERENCE_VARS_H

#include "../types.h"
#include "interference_types.h"



/**
 * @brief Debug level for this component.
 */
#define INTERFERENCE_DEBUG_LEVEL	C_MSG_WARN



/**
 * @brief Currently active graph measurements.
 */
list_t* C_INTERFERENCE_active_measurements;

/**
 * @brief Pointer to local measurement data.
 */
INTERFERENCE_local_data_t* C_INTERFERENCE_local_data;

#endif	// INTERFERENCE_VARS_H
