/**
 * @file asg_event_flow_tree.h
 *
 * @brief ASG event flow tree algorithm (header).
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: asg_event_flow_tree.h 3424 2010-03-18 14:45:09Z gwitten $
 */

#ifndef ASG_EVENT_FLOW_TREE_H
#define ASG_EVENT_FLOW_TREE_H

#include "../../types.h"
#include "../../service/service_types.h"
#include "../placement_types.h"

#ifdef C_SERVICE_PLACEMENT_EVALUATION

void asg_eft_start(SERVICE_service_t* service);
void asg_eft_stop(SERVICE_service_t* service);
void asg_eft_report_known_service_instance(SERVICE_service_t* service, C_addr_t host_address);
void asg_eft_report_invalid_service_instance(SERVICE_service_t* service, C_addr_t host_address);
list_t* asg_eft_get_synchronization_hosts(const SERVICE_service_t* service, bool inter_host_update);

#endif	// C_SERVICE_PLACEMENT_EVALUATION

#endif	// ASG_EVENT_FLOW_TREE_H
