/**
 * @file service_server.h
 *
 * @brief Service - Server (header).
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: service_server.h 3177 2010-01-05 16:43:45Z wittenbu $
 */

#ifndef SERVICE_SERVER_H
#define SERVICE_SERVER_H

#include "../types.h"
#include "service_types.h"

void handle_SERVICE_CLIENT_DATA_REQUEST(const net_header_t* header, const SERVICE_CLIENT_DATA_REQUEST_packet_t* request);
void handle_SERVICE_CLIENT_DATA_UPDATE(const net_header_t* header, const SERVICE_CLIENT_DATA_UPDATE_packet_t* update, char* data, size_t data_size);
void handle_SERVICE_CLIENT_STREAM_REQUEST(const net_header_t* header, const SERVICE_CLIENT_STREAM_REQUEST_packet_t* request);

#endif	// SERVICE_SERVER_H
