/**
 * @file slp_cache.h
 *
 * @brief SLP caching.
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: slp_cache.h 3177 2010-01-05 16:43:45Z wittenbu $
 */

#ifndef SLP_CACHE_H
#define SLP_CACHE_H

#include "../types.h"
#include "slp-light_types.h"

void alloc_service_instance(SLP_service_instance_t** service_instance, const SERVICE_id_t* service_id, C_addr_t server);
bool matches_service_instance_service_id(const void* item, const void* cmp_item);
uint8_t cache_lookup(const SERVICE_id_t* service_id, C_addr_t* server);
void cache_update(const SERVICE_id_t* service_id, C_addr_t server, uint8_t hop_count, C_time_t delay, bool authorative);
void cache_remove(const SERVICE_id_t* service_id, C_addr_t server);
bool cache_contains(const SERVICE_id_t* service_id, C_addr_t server);

#endif	// SLP_CACHE_H
