/**
 * @file trigger.h
 *
 * @brief Trigger functions (header).
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: trigger.h 3177 2010-01-05 16:43:45Z wittenbu $
 */

#ifndef TRIGGER_H
#define TRIGGER_H

#include "../types.h"

void trigger_alloc(trigger_t** trigger, float max_range, C_time_t max_duration);
void trigger_free(trigger_t** trigger);
void trigger_reset(trigger_t* trigger, float start_value, float max_range, C_time_t max_duration);
bool trigger_check(trigger_t* trigger, float current_value);
uint16_t trigger_times_fired_at_end(trigger_t* trigger);

#endif	// TRIGGER_H
