#!/usr/bin/perl

use strict;

# NOTE: Changing between POOL and TESTBED also requires changing
# eval_generate_scenario.pl.

# my @SERVICE_SIZES = (100000);	# Used for POOL.
my @SERVICE_SIZES = (10000);	# Used for TESTBED.
my @SYNC_RATIOS = ("0.010");
# my @NODES = (16, 25, 36, 49, 64, 81, 100);
my @NODES = (36);
my @ACTIVE_NODE_RATIOS = (0.5);
my @REQUEST_FREQUENCIES = ("0.1", "0.5", "1.0", "2.0", "5.0");
# my @REQUEST_FREQUENCIES = ("1.0");
# my $ALGORITHM = "none";
# my $ALGORITHM = "graph_cost_single_instance";
# my $ALGORITHM = "graph_cost_multiple_instances";
my $ALGORITHM = "tree-topology_migration";
# my $ALGORITHM = "asg_event_flow_tree";
# my $TOPOLOGY_DIRECTORY = "/home/fenn/gwitten/RAID/sp_evaluation/topologies";	# Used for POOL.
my $TOPOLOGY_DIRECTORY = "";							# Used for TESTBED.
my $RUNS = 30;

my $SETUP_DURATION = 300;
# my $SETUP_DURATION = 120;
my $RUN_DURATION = 900;
# my $RUN_DURATION = 480;

for my $service_size (@SERVICE_SIZES) {
mkdir "service_size_$service_size";
for my $sync_ratio (@SYNC_RATIOS) {
mkdir "service_size_$service_size/sync_ratio_$sync_ratio";
for my $nodes (@NODES) {
mkdir "service_size_$service_size/sync_ratio_$sync_ratio/nodes_$nodes";
for my $active_node_ratio (@ACTIVE_NODE_RATIOS) {
mkdir "service_size_$service_size/sync_ratio_$sync_ratio/nodes_$nodes/activity_factor_$active_node_ratio";
for my $request_frequency (@REQUEST_FREQUENCIES) {

	my $dir = "service_size_$service_size/sync_ratio_$sync_ratio/nodes_$nodes/activity_factor_$active_node_ratio/request_frequency_$request_frequency";
	print `eval_generate_scenario.pl $dir $RUNS $nodes $SETUP_DURATION $RUN_DURATION $service_size $sync_ratio $active_node_ratio $request_frequency $ALGORITHM $TOPOLOGY_DIRECTORY`;

}
}
}
}
}
