#!/usr/bin/perl

##
#
# Generate mobility trace files for ns-2.
#
# Copyright (c) 2009, 2010 Georg Wittenburg, Freie Universitaet Berlin
# (wittenbu@inf.fu-berlin.de). All rights reserved.
# Please refer to the COPYING file for detailed licensing information.
#
# $Id: sim_generate_mobility_traces.pl 3286 2010-02-11 18:14:10Z gwitten $
#
##

use strict;

my $GRID_SPACING_DISTANCE = 30;

for my $duration (960) {
for my $nodes (100) {
for my $speed ("0.5", "1.0", "2.0", "4.0") {	# (in m/s)
for my $run ("01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30") {
	my $x = sqrt($nodes) * $GRID_SPACING_DISTANCE;
	my $y = sqrt($nodes) * $GRID_SPACING_DISTANCE;
	print "~/usr/src/ns/indep-utils/cmu-scen-gen/setdest/setdest -v 2 -n $nodes -m $speed -M $speed -t $duration -p 0 -x $x -y $y (run #$run) ...";
	print `~/usr/src/ns/indep-utils/cmu-scen-gen/setdest/setdest -v 2 -n $nodes -m $speed -M $speed -t $duration -p 0 -x $x -y $y > mobility/duration_$duration\_nodes_$nodes\_speed_$speed\_run_$run.tcl`;
	print "OK\n";
}
}
}
}