#!/usr/bin/perl

##
#
# This script sorts a file of comma-separated values.
#
# Example:	sim_sort_results.pl output_file.csv
#
# Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
# Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
# Please refer to the COPYING file for detailed licensing information.
#
# $Id: sim_sort_results.pl 3287 2010-02-12 17:27:34Z gwitten $
#
##

use strict;

sub by_field {
	my @fields_a = split(/,/, $a);
	my @fields_b = split(/,/, $b);
	for my $i (0..$#fields_a) {
		if($fields_a[$i] ne $fields_b[$i]) {
			return $fields_a[$i] <=> $fields_b[$i];
		}
	}
}

if(scalar(@ARGV) != 1) {
	print "Usage:\tsim_swap_columns.pl csv_file\n\n";
	exit(1);
}

my $csv_file = $ARGV[0];

print "Sorting file $csv_file.\n";
print "\n";

$csv_file =~ /(.+)\.csv/;
my $csv_file_sorted = $1.'_sorted.csv';

open(my $CSV_FILE, $csv_file) or die $!;
my @csv_lines = <$CSV_FILE>;
my $header = shift @csv_lines;
close($CSV_FILE);

my @sorted_csv_lines = sort by_field @csv_lines;

open(my $CSV_FILE_SORTED, ">$csv_file_sorted") or die $!;
print $CSV_FILE_SORTED $header;
for my $line (@sorted_csv_lines) {
	print $CSV_FILE_SORTED $line
}
close($CSV_FILE_SORTED);
