#!/usr/bin/perl

##
#
# This script swaps two columns in a file of comma-separated values.
#
# Example:	sim_swap_columns.pl output_file.csv 2 3
#
# Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
# Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
# Please refer to the COPYING file for detailed licensing information.
#
# $Id: sim_swap_columns.pl 3287 2010-02-12 17:27:34Z gwitten $
#
##

use strict;

if(scalar(@ARGV) != 3) {
	print "Usage:\tsim_swap_columns.pl csv_file column_id_1 column_id_2\n\n";
	exit(1);
}

my $csv_file = $ARGV[0];
my $column_id_1 = $ARGV[1];
my $column_id_2 = $ARGV[2];

print "Swapping columns $column_id_1 and $column_id_2 of file $csv_file.\n";
print "\n";

$csv_file =~ /(.+)\.csv/;
my $csv_file_swapped = $1.'_swapped.csv';

$column_id_1--;
$column_id_2--;

open(my $CSV_FILE, $csv_file) or die $!;
open(my $CSV_FILE_SWAPPED, ">$csv_file_swapped") or die $!;

while(<$CSV_FILE>) {
	chomp;
	my @fields = split(/,/, $_);
	my $tmp = $fields[$column_id_1];
	$fields[$column_id_1] = $fields[$column_id_2];
	$fields[$column_id_2] = $tmp;
	print $CSV_FILE_SWAPPED join(',', @fields)."\n";
}

close($CSV_FILE);
close($CSV_FILE_SWAPPED);
